DefinitionForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.DefinitionForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class DefinitionForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm
                          org.hyperic.hq.ui.action.resource.ResourceForm
                              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.DefinitionForm

All Implemented Interfaces:
  java.io.Serializable

    public class DefinitionForm

extends ResourceForm

Form for editing / creating new alert definitions.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.ui.action.ScheduleForm
`END_NEVER, END_ON_DATE, EVERY_DAY, EVERY_WEEKDAY, ON_DAY, ON_EACH, RECUR_DAILY, RECUR_MONTHLY, RECUR_NEVER, RECUR_WEEKLY, START_NOW, START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`DefinitionForm()`

Method Summary
`void` | `deleteCondition(int deletedCondition)`
`void` | `exportConditionsEnablement(AlertDefinitionValue adv, javax.servlet.http.HttpServletRequest request, int sessionId, org.hyperic.hq.bizapp.shared.MeasurementBoss mb, boolean typeAlert)` Export the conditions and enablement properties from this form to the AlertDefinitionValue.
`java.lang.Integer` | `getAd()`
`java.lang.String[]` | `getComparators()`
`ConditionBean` | `getCondition(int index)`
`ConditionBean[]` | `getConditions()`
`java.lang.String[]` | `getControlActionStatuses()`
`java.util.Collection` | `getCustomProperties()`
`java.lang.String` | `getDescription()` Returns the description.
`java.lang.Integer` | `getHowLong()`
`java.lang.Integer` | `getHowLongNT()`
`java.lang.Integer` | `getHowLongTP()`
`int` | `getHowLongUnits()`
`int` | `getHowLongUnitsNT()` Get units for time period.
`int` | `getHowLongUnitsTP()` Get units for time period.
`java.lang.Integer` | `getMeetTimeTP()`
`int` | `getMeetTimeUnitsTP()` Get units for time period.
`int` | `getMetricId()`
`java.lang.String` | `getMetricName()`
`java.util.List` | `getMetrics()`
`java.lang.String` | `getName()` Returns the name.
`int` | `getNumConditions()`
`java.lang.Integer` | `getNumTimesNT()`
`int[]` | `getPriorities()`
`int` | `getPriority()`
`int[]` | `getTimeUnits()`
`int` | `getWhenEnabled()` Get when to enable the actions.
`void` | `importConditionsEnablement(AlertDefinitionValue adv, int sessionId, org.hyperic.hq.bizapp.shared.MeasurementBoss mb)` Import the conditions and enablement properties from the AlertDefinitionValue to this form.
`void` | `importProperties(AlertDefinitionValue adv)` Import basic properties from The AlertDefinitionValue to this form.
`boolean` | `isActive()`
`boolean` | `isDisableForRecovery()`
`boolean` | `isEnabled()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `resetConditions()`
`void` | `setActive(boolean active)`
`void` | `setAd(java.lang.Integer id)`
`void` | `setCustomProperties(java.util.Collection customProperties)`
`protected void` | `setDefaults()`
`void` | `setDescription(java.lang.String description)` Sets the description.
`void` | `setDisableForRecovery(boolean disableForRecovery)`
`void` | `setEnabled(boolean enabled)`
`void` | `setHowLongNT(java.lang.Integer howLongNT)`
`void` | `setHowLongTP(java.lang.Integer howLongTP)`
`void` | `setHowLongUnitsNT(int howLongUnitsNT)` Set units for time period.
`void` | `setHowLongUnitsTP(int howLongUnitsTP)` Set units for time period.
`void` | `setMeetTimeTP(java.lang.Integer meetTimeTP)`
`void` | `setMeetTimeUnitsTP(int meetTimeUnitsTP)` Set units for time period.
`void` | `setMetricId(int metricId)`
`void` | `setMetricName(java.lang.String metricName)`
`void` | `setMetrics(java.util.List metrics)`
`void` | `setName(java.lang.String name)` sets the name.
`void` | `setNumConditions(int numConditions)`
`void` | `setNumTimesNT(java.lang.Integer numTimesNT)`
`void` | `setPriority(int priority)`
`void` | `setWhenEnabled(int whenEnabled)` Set when to enable the actions.
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.resource.ResourceForm
`getAetid, getEid, getLocation, getResourceType, getResourceTypes, getRid, getType, isCanModify, loadResourceValue, setAetid, setCanModify, setEid, setLocation, setResourceType, setResourceTypes, setRid, setType, toString, updateResourceValue`

Methods inherited from class org.hyperic.hq.ui.action.ScheduleForm
`createSchedule, getControlActions, getEachDay, getEndTime, getIsNow, getMonthlyRecurrenceDay, getNumControlActions, getNumDays, getNumMonths, getNumWeeks, getRecurInterval, getRecurrenceDay, getRecurrenceFrequencyDaily, getRecurrenceFrequencyMonthly, getRecurrenceWeek, getStartTime, populateFromSchedule, setControlActions, setEachDay, setEndTime, setMonthlyRecurrenceDay, setNumControlActions, setNumDays, setNumMonths, setNumWeeks, setRecurInterval, setRecurrenceDay, setRecurrenceFrequencyDaily, setRecurrenceFrequencyMonthly, setRecurrenceWeek, setStartTime`

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefinitionForm

    public DefinitionForm()

Method Detail

### getControlActionStatuses

    public java.lang.String[] getControlActionStatuses()

### getAd

    public java.lang.Integer getAd()

### setAd

    public void setAd(java.lang.Integer id)

### getName

    public java.lang.String getName()

  Description copied from class: `ResourceForm`
  Returns the name.

  Overrides:
    `getName` in class `ResourceForm`
  Returns:
    String

### setName

    public void setName(java.lang.String name)

  Description copied from class: `ResourceForm`
  sets the name.

  Overrides:
    `setName` in class `ResourceForm`

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `ResourceForm`
  Returns the description.

  Overrides:
    `getDescription` in class `ResourceForm`
  Returns:
    String

### setDescription

    public void setDescription(java.lang.String description)

  Description copied from class: `ResourceForm`
  Sets the description.

  Overrides:
    `setDescription` in class `ResourceForm`
  Parameters:
    `description` - The description to set

### getPriority

    public int getPriority()

### setPriority

    public void setPriority(int priority)

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean active)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getConditions

    public ConditionBean[] getConditions()

### getCondition

    public ConditionBean getCondition(int index)

### getMetricId

    public int getMetricId()

  Returns:
    Returns the metricId.

### setMetricId

    public void setMetricId(int metricId)

  Parameters:
    `metricId` - The metricId to set.

### getMetricName

    public java.lang.String getMetricName()

### setMetricName

    public void setMetricName(java.lang.String metricName)

### getNumConditions

    public int getNumConditions()

### setNumConditions

    public void setNumConditions(int numConditions)

### getWhenEnabled

    public int getWhenEnabled()

  Get when to enable the actions. One of:
  - Constants.ALERT_ACTION_ENABLE_EACHTIME
  - Constants.ALERT_ACTION_ENABLE_TIMEPERIOD
  - Constants.ALERT_ACTION_ENABLE_NUMTIMESINPERIOD

### setWhenEnabled

    public void setWhenEnabled(int whenEnabled)

  Set when to enable the actions. Must be one of:
  - EventConstants.FREQ_EVERYTIME
  - EventConstants.FREQ_COUNTER
  - EventConstants.FREQ_ONCE

### getMeetTimeTP

    public java.lang.Integer getMeetTimeTP()

### setMeetTimeTP

    public void setMeetTimeTP(java.lang.Integer meetTimeTP)

### getMeetTimeUnitsTP

    public int getMeetTimeUnitsTP()

  Get units for time period. One of:
  - Constants.ALERT_ACTION_ENABLE_UNITS_MINUTES
  - Constants.ALERT_ACTION_ENABLE_UNITS_HOURS
  - Constants.ALERT_ACTION_ENABLE_UNITS_DAYS
  - Constants.ALERT_ACTION_ENABLE_UNITS_WEEKS

### setMeetTimeUnitsTP

    public void setMeetTimeUnitsTP(int meetTimeUnitsTP)

  Set units for time period. Must be one of:
  - Constants.ALERT_ACTION_ENABLE_UNITS_MINUTES
  - Constants.ALERT_ACTION_ENABLE_UNITS_HOURS
  - Constants.ALERT_ACTION_ENABLE_UNITS_DAYS
  - Constants.ALERT_ACTION_ENABLE_UNITS_WEEKS

### getHowLongTP

    public java.lang.Integer getHowLongTP()

### setHowLongTP

    public void setHowLongTP(java.lang.Integer howLongTP)

### getHowLongUnitsTP

    public int getHowLongUnitsTP()

  Get units for time period. One of:
  - Constants.ALERT_ACTION_ENABLE_UNITS_MINUTES
  - Constants.ALERT_ACTION_ENABLE_UNITS_HOURS
  - Constants.ALERT_ACTION_ENABLE_UNITS_DAYS
  - Constants.ALERT_ACTION_ENABLE_UNITS_WEEKS

### setHowLongUnitsTP

    public void setHowLongUnitsTP(int howLongUnitsTP)

  Set units for time period. Must be one of:
  - Constants.ALERT_ACTION_ENABLE_UNITS_MINUTES
  - Constants.ALERT_ACTION_ENABLE_UNITS_HOURS
  - Constants.ALERT_ACTION_ENABLE_UNITS_DAYS
  - Constants.ALERT_ACTION_ENABLE_UNITS_WEEKS

### getNumTimesNT

    public java.lang.Integer getNumTimesNT()

### setNumTimesNT

    public void setNumTimesNT(java.lang.Integer numTimesNT)

### getHowLongNT

    public java.lang.Integer getHowLongNT()

### setHowLongNT

    public void setHowLongNT(java.lang.Integer howLongNT)

### getHowLongUnitsNT

    public int getHowLongUnitsNT()

  Get units for time period. One of:
  - Constants.ALERT_ACTION_ENABLE_UNITS_MINUTES
  - Constants.ALERT_ACTION_ENABLE_UNITS_HOURS
  - Constants.ALERT_ACTION_ENABLE_UNITS_DAYS
  - Constants.ALERT_ACTION_ENABLE_UNITS_WEEKS

### setHowLongUnitsNT

    public void setHowLongUnitsNT(int howLongUnitsNT)

  Set units for time period. Must be one of:
  - Constants.ALERT_ACTION_ENABLE_UNITS_MINUTES
  - Constants.ALERT_ACTION_ENABLE_UNITS_HOURS
  - Constants.ALERT_ACTION_ENABLE_UNITS_DAYS
  - Constants.ALERT_ACTION_ENABLE_UNITS_WEEKS

### getHowLong

    public java.lang.Integer getHowLong()

### getHowLongUnits

    public int getHowLongUnits()

### deleteCondition

    public void deleteCondition(int deletedCondition)

### getMetrics

    public java.util.List getMetrics()

### setMetrics

    public void setMetrics(java.util.List metrics)

### getCustomProperties

    public java.util.Collection getCustomProperties()

### setDisableForRecovery

    public void setDisableForRecovery(boolean disableForRecovery)

  Parameters:
    `disableForRecovery` - The disableForRecovery to set.

### isDisableForRecovery

    public boolean isDisableForRecovery()

  Returns:
    Returns the disableForRecovery.

### setCustomProperties

    public void setCustomProperties(java.util.Collection customProperties)

### getPriorities

    public int[] getPriorities()

### getTimeUnits

    public int[] getTimeUnits()

### getComparators

    public java.lang.String[] getComparators()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `ResourceForm`

### importProperties

    public void importProperties(AlertDefinitionValue adv)

  Import basic properties from The AlertDefinitionValue to this form.

### importConditionsEnablement

    public void importConditionsEnablement(AlertDefinitionValue adv,
                                           int sessionId,
                                           org.hyperic.hq.bizapp.shared.MeasurementBoss mb)
                                    throws MeasurementNotFoundException,
                                           SessionNotFoundException,
                                           SessionTimeoutException,
                                           TemplateNotFoundException,
                                           java.rmi.RemoteException

  Import the conditions and enablement properties from the AlertDefinitionValue to this form.

  Throws:
    `MeasurementNotFoundException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `TemplateNotFoundException`
    `java.rmi.RemoteException`

### exportConditionsEnablement

    public void exportConditionsEnablement(AlertDefinitionValue adv,
                                           javax.servlet.http.HttpServletRequest request,
                                           int sessionId,
                                           org.hyperic.hq.bizapp.shared.MeasurementBoss mb,
                                           boolean typeAlert)
                                    throws SessionTimeoutException,
                                           SessionNotFoundException,
                                           MeasurementNotFoundException,
                                           TemplateNotFoundException,
                                           java.rmi.RemoteException

  Export the conditions and enablement properties from this form to the AlertDefinitionValue.

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `MeasurementNotFoundException`
    `TemplateNotFoundException`
    `java.rmi.RemoteException`

### resetConditions

    public void resetConditions()

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `ResourceForm`

### setDefaults

    protected void setDefaults()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.